-- note: this scripts relies on "Calls"/"Disconnect call on audio error" setting disabled

local M = {} -- public interface

function M.play(audio_file_name)
    Beep(800, 300)  -- audible feedback
	local audioErrCnt = GetAudioErrorCount()
    SwitchAudioSource("aufile", audio_file_name)
    while 1 do
        Sleep(100)  -- ms
		-- checking if callee did not hang up
        call_state = GetCallState()
        if call_state == 0 then
            -- CALL_STATE_CLOSED
            print("End of call\n")
            break
        end
		local errCnt = GetAudioErrorCount()
		-- next audio error = probably end of file
		if errCnt ~= audioErrCnt then
			print("End of wav file\n")
			break;
		end
    end
    SwitchAudioSourceToConfigured()
    Beep(1200, 300) -- audible feedback
end

return M
